chat/anope - The NetBSD Packages Collection

Modular set of IRC services

Anope is an open source set of IRC Services. It is highly modular,
with a vast number of configurable parameters, and is the most used
IRC services package. There are also many modules on the modsite
to add additional features. It supports many modern IRCds, including
InspIRCd, UnrealIRCd, and ircd-hybrid.

Build dependencies

pkgtools/cwrappers devel/cmake

Runtime dependencies

security/gnutls security/gnutls

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hfanope-2.0.7nb10.tgz
NetBSD 8.0earmv7hfanope-2.0.7nb7.tgz
NetBSD 8.0earmv7hfanope-2.0.7nb9.tgz
NetBSD 8.0i386anope-2.0.7nb7.tgz
NetBSD 8.0i386anope-2.0.7nb9.tgz
NetBSD 8.0powerpcanope-2.0.7nb7.tgz
NetBSD 8.0powerpcanope-2.0.7nb9.tgz
NetBSD 8.0powerpcanope-2.0.7nb9.tgz
NetBSD 8.0powerpcanope-2.0.7nb10.tgz
NetBSD 8.0x86_64anope-2.0.7nb7.tgz
NetBSD 8.0x86_64anope-2.0.7nb9.tgz
NetBSD 9.0aarch64anope-2.0.7nb10.tgz
NetBSD 9.0aarch64anope-2.0.7nb7.tgz
NetBSD 9.0aarch64anope-2.0.7nb9.tgz
NetBSD 9.0alphaanope-2.0.7nb10.tgz
NetBSD 9.0alphaanope-2.0.7nb7.tgz
NetBSD 9.0alphaanope-2.0.7nb9.tgz
NetBSD 9.0earmv6hfanope-2.0.7nb10.tgz
NetBSD 9.0earmv6hfanope-2.0.7nb7.tgz
NetBSD 9.0earmv6hfanope-2.0.7nb9.tgz
NetBSD 9.0earmv7hfanope-2.0.7nb10.tgz
NetBSD 9.0earmv7hfanope-2.0.7nb7.tgz
NetBSD 9.0earmv7hfanope-2.0.7nb9.tgz
NetBSD 9.0earmv7hfanope-2.0.7nb10.tgz
NetBSD 9.0i386anope-2.0.7nb7.tgz
NetBSD 9.0i386anope-2.0.7nb9.tgz
NetBSD 9.0i386anope-2.0.7nb10.tgz
NetBSD 9.0mips64ebanope-2.0.7nb9.tgz
NetBSD 9.0mips64ebanope-2.0.7nb6.tgz
NetBSD 9.0mips64ebanope-2.0.7nb7.tgz
NetBSD 9.0mips64ebanope-2.0.7nb7.tgz
NetBSD 9.0mips64ebanope-2.0.7nb10.tgz
NetBSD 9.0powerpcanope-2.0.7nb9.tgz
NetBSD 9.0powerpcanope-2.0.7nb7.tgz
NetBSD 9.0powerpcanope-2.0.7nb9.tgz
NetBSD 9.0powerpcanope-2.0.7nb10.tgz
NetBSD 9.0sparc64anope-2.0.7nb9.tgz
NetBSD 9.0sparc64anope-2.0.7nb7.tgz
NetBSD 9.0sparc64anope-2.0.7nb10.tgz
NetBSD 9.0sparcanope-2.0.7nb6.tgz
NetBSD 9.0sparcanope-2.0.7nb7.tgz
NetBSD 9.0sparcanope-2.0.7nb7.tgz
NetBSD 9.0x86_64anope-2.0.7nb10.tgz
NetBSD 9.0x86_64anope-2.0.7nb10.tgz
NetBSD 9.0x86_64anope-2.0.7nb7.tgz
NetBSD 9.0x86_64anope-2.0.7nb9.tgz
NetBSD 9.0x86_64anope-2.0.7nb10.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

gnutls
Enable GNU TLS support.
ldap
Enable LDAP support.
mysql
Enable MySQL support.
openssl
Enable OpenSSL support.
pcre
Enable Perl-compatible regular expressions.
sqlite3
Enable SQLite3 support.

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.